Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065498 - OCF script for managing clvmd with pacemaker
Summary: OCF script for managing clvmd with pacemaker
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Global_File_System_2
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On: 1064512
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 19:23 UTC by David Vossel
Modified: 2019-03-06 00:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1064512
Environment:
Last Closed: 2014-05-15 16:59:47 UTC


Attachments (Terms of Use)

Description David Vossel 2014-02-14 19:23:06 UTC
+++ This bug was initially created as a clone of Bug #1064512 +++

Description of problem:

We have to take special consideration when managing clvmd with pacemaker. Because of this, an OCF style clvmd resource-agent is the best way to maintain this logic.

We need to introduce the clvmd OCF script and document it the only way to manage clvmd instances within the cluster.

--- Additional comment from David Vossel on 2014-02-12 13:31:07 EST ---

This OCF script already exists upstream as a part of this pull request. https://github.com/ClusterLabs/resource-agents/pull/382

--- Additional comment from David Vossel on 2014-02-12 17:35:49 EST ---



--- Additional comment from David Vossel on 2014-02-13 19:34:29 EST ---

I have updated the clvmd agent to be able to manage the cmirrord daemon using the 'with_cmirrord' option.

--- Additional comment from David Vossel on 2014-02-14 02:10:09 EST ---

I've created a test build with the new clvmd (ocf:heartbeat:clvmd) agent in it. 
https://brewweb.devel.redhat.com/taskinfo?taskID=7056668

I sanity checked the agent works using this phd scenario.
https://github.com/davidvossel/phd/blob/master/scenarios/gfs2-clvmd.scenario

-- Vossel

Comment 1 David Vossel 2014-02-14 19:24:17 UTC
We need the gfs2 doc to reference the ocf:heartbeat:clvmd agent rather than lsb:clvmd.

Search the doc for lsb:clvmd, replace with ocf:heartbeat:clvmd

-- Vossel


Note You need to log in before you can comment on or make changes to this bug.